Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Edit cluster LB subnet

Prev Next

Available in VPC

Set up a new load balancer subnet if the load balancer subnet set up for the cluster has been deleted.

Request

This section describes the request format. The method and URI are as follows:

Method URI
PATCH /vnks/v2/clusters/{uuid}/lb-subnet (Korea Region)
PATCH /vnks/sgn-v2/clusters/{uuid}/lb-subnet (Singapore Region)
PATCH /vnks/jpn-v2/clusters/{uuid}/lb-subnet (Japan Region)

Request headers

For information about the headers common to all Ncloud Kubernetes Service APIs, see Ncloud Kubernetes Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
uuid String Required Cluster UUID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
lbSubnetNo Integer Conditional Load balancer subnet instance number
  • Required if lbSubnetNoList is not entered
  • Ignored if lbSubnetNoList is entered
lbSubnetNoList Array Conditional List of load balancer subnet instance numbers
  • Required if lbSubnetNo is not entered.
  • For multi-zone configurations, enter up to 2 values (one per zone). Only subnets from different zones are allowed.
  • Enter by repeating the same parameter (lbSubnetNoList=1000&lbSubnetNoList=2000) or separating values with commas (lbSubnetNoList=1000,2000).
  • The first value is used as the representative subnet for single-zone load balancers and network load balancers.
igwYn String Optional Whether it is a public load balancer subnet
  • Y | N (default)
    • Y: Public load balancer subnet
    • N: Private load balancer subnet

Request example

The request example is as follows:

curl --location --request PATCH 'https://nks.apigw.ntruss.com/vnks/v2/clusters/****a20e-e0fb-4dc9-af1b-97fd3f8d****/lb-subnet?lbSubnetNo=140000' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

The following is a sample request to change the subnet for a multi-zone load balancer.

curl --location --request PATCH 'https://nks.apigw.ntruss.com/vnks/v2/clusters/****a20e-e0fb-4dc9-af1b-97fd3f8d****/lb-subnet?lbSubnetNoList=140000&lbSubnetNoList=141000' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
uuid String - UUID of the cluster

Response status codes

For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see Ncloud Kubernetes Service response status codes.

Response example

The response example is as follows:

{
    "uuid": "****a20e-e0fb-4dc9-af1b-97fd3f8d****"
}